/********************************************************
 *  WINBOND W569 MIDDLEWARE PLAY ENGINE INTERFACE INCLUDE FILE
 *
 *  FILENAME:
 *    PlayEgn.h
 *
 *  MODIFICATION HISTORY:
 *    2004/08/02	created		by	CCChien0
 ********************************************************/
#ifndef	_PlayEgn_h_
#define	_PlayEgn_h_

#include "TTypeLt.h"
#include "MWDefine.h"
//#define LOCAL_TEST

short	W569_Initialize(void);
short	W569_Play(const BYTE* pbyData, DWORD dwDataSize, BYTE byRepeatNum);
short	W569_Stop(short nChannelID);
short	W569_Pause(short nChannelID);
short	W569_Resume(short nChannelID);
short	W569_IsPlaying(short nChannelID);
short	W569_SetSpeakerVolume(BYTE byVolume);
short	W569_SetEqualizerVolume(BYTE byVolume);

#if	W56940_64
short	W569_SetHeadphoneLeftVolume(BYTE byVol);
short	W569_SetHeadphoneRightVolume(BYTE byVol);
#endif

short	W569_InterruptHandler(void);

#if	SUPPORT_LED_CONTROL
short	W569_LEDControlSource(BYTE bySource);
void	W569_SetLEDSyncChannel(WORD wChannel);
short	W569_SetLEDOnOff(BYTE byRed, BYTE byGreen, BYTE byBlue);
#endif

#if	SUPPORT_MTR_CONTROL
short	W569_MotorControlSource(BYTE bySource);
void	W569_SetMotorSyncChannel(WORD wChannel);
short	W569_SetMotorOnOff(BYTE byLevel);
#endif

short W569_SetSynthesizeVolume(short nChannelID, BYTE byVolume);
#endif
